> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04c-titiler-api/ogc-common.md).

# OGC Common

## Landing

> TiTiler landing page.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/":{"get":{"tags":["OGC Common"],"summary":"Landing","description":"TiTiler landing page.","operationId":"landing__get","parameters":[{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"enum":["html","json"],"type":"string"},{"type":"null"}],"description":"Response MediaType. Defaults to endpoint's default or value defined in `accept` header.","title":"F"},"description":"Response MediaType. Defaults to endpoint's default or value defined in `accept` header."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Landing"}},"text/html":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Landing":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"links":{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","title":"Links"}},"type":"object","required":["links"],"title":"Landing","description":"Landing page model.\n\nRef: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/landingPage.yaml"},"titiler__core__models__OGC__Link":{"properties":{"href":{"type":"string","title":"Href","description":"Supplies the URI to a remote resource (or resource fragment)."},"rel":{"type":"string","title":"Rel","description":"The type or semantics of the relation."},"type":{"anyOf":[{"$ref":"#/components/schemas/MediaType"},{"type":"null"}],"description":"A hint indicating what the media type of the result of dereferencing the link should be."},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Templated","description":"This flag set to true if the link is a URL template."},"varBase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Varbase","description":"A base path to retrieve semantic information about the variables used in URL template."},"hreflang":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hreflang","description":"A hint indicating what the language of the result of dereferencing the link should be."},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Used to label the destination of a link such that it can be used as a human-readable identifier."},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Length"}},"type":"object","required":["href","rel"],"title":"Link","description":"Link model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-core/link.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"MediaType":{"type":"string","enum":["image/tiff; application=geotiff","image/jp2","image/png","image/png","image/jpeg","image/jpg","image/webp","application/x-binary","application/xml","application/json","application/geo+json","text/html","text/plain","application/x-protobuf","application/vnd.mapbox-vector-tile","application/ndjson","application/geo+json-seq","application/schema+json","text/csv","application/vnd.oai.openapi+json;version=3.0","application/vnd.oai.openapi;version=3.0","image/gif"],"title":"MediaType","description":"Responses Media types formerly known as MIME types."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Conformance

> Conformance classes.\
> \
> Called with \`GET /conformance\`.\
> \
> Returns:\
> &#x20;   Conformance classes which the server conforms to.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/conformance":{"get":{"tags":["OGC Common"],"summary":"Conformance","description":"Conformance classes.\n\nCalled with `GET /conformance`.\n\nReturns:\n    Conformance classes which the server conforms to.","operationId":"conformance_conformance_get","parameters":[{"name":"f","in":"query","required":false,"schema":{"anyOf":[{"enum":["html","json"],"type":"string"},{"type":"null"}],"description":"Response MediaType. Defaults to endpoint's default or value defined in `accept` header.","title":"F"},"description":"Response MediaType. Defaults to endpoint's default or value defined in `accept` header."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conformance"}},"text/html":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Conformance":{"properties":{"conformsTo":{"items":{"type":"string"},"type":"array","title":"Conformsto"}},"type":"object","required":["conformsTo"],"title":"Conformance","description":"Conformance model.\n\nRef: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/confClasses.yaml"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
